Bug 487734 - The index task entry is not available for searching immediately after creation.
The index task entry is not available for searching immediately after creation.
Status: CLOSED NOTABUG
Product: Red Hat Directory Server
Classification: Red Hat
Component: Directory Server (Show other bugs)
9.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 12:45 EST by Asha Akkiangady
Modified: 2015-01-04 18:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 14:48:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Asha Akkiangady 2009-02-27 12:45:45 EST
Description of problem:
The index task entry is not available for searching immediately after
creation, problem happens when CS 8.0 cloning setup is executed. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. This problem is discovered during the fix for the bug https://bugzilla.redhat.com/show_bug.cgi?id=486191

2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ade Lee 2009-03-03 14:06:52 EST
Its not clear that this bug actually exists in DS.  Closer inspection of the logs and CS code indicates that the CS does the following:

1 creates indexA
2. searches for index B (to confirm that it is done)
3. uses index A

Index A and Index B are not the same, so CS is doing the wrong check.  

That said, its probably a good idea for DS to fail more gracefully on step 3.

Ade
Comment 2 Rich Megginson 2009-03-03 14:10:15 EST
How should DS fail more gracefully on step 3?  What should DS do?
Comment 3 Rich Megginson 2009-04-09 14:48:36 EDT
I'm pretty sure this is not a DS bug - please reopen if necessary

Note You need to log in before you can comment on or make changes to this bug.